{
	"root": {
		"linksReferences": [
			"login"
		]
	},
	"*navbar": {
		"linksReferences": [
			"logout",
			"index",
			"schedule",
			"executor",
			"history",
			"flowtrigger"
		]
	},
	"index": {
		"method": "GET",
		"URL": "http://localhost:8080/index",
		"headers": "Cookie: azkaban.browser.session.id=#{session.id}",
		"linksReferences": [
			"**navbar",
			"create-project",
			"search",
			"view-project",
			"group",
			"all"
		]
	},
	"login": {
		"method": "POST",
		"URL": "http://localhost:8080/manager?action=login",
		"data": "username=azkaban&password=azkaban",
		"storeFields": [
			"session.id"
		],
		"linksReferences": [
			"*index"
		]
	},
	"group": {
		"method": "GET",
		"URL": "http://localhost:8080/index?group",
		"headers": "Cookie: azkaban.browser.session.id=#{session.id}",
		"linksReferences": [
			"**navbar",
			"create-project",
			"search",
			"group",
			"all"
		]
	},
	"all": {
		"method": "GET",
		"URL": "http://localhost:8080/index?all",
		"headers": "Cookie: azkaban.browser.session.id=#{session.id}",
		"linksReferences": [
			"*index"
		]
	},
	"view-project": {
		"method": "GET",
		"URL": "http://localhost:8080/manager?project=project${1-25}",
		"headers": "Cookie: azkaban.browser.session.id=#{session.id}",
		"linksReferences": [
			"**navbar",
			"delete-project",
			"upload-project",
			"download-project",
			"view-project",
			"view-permissions",
			"view-logs",
			"execute-flow",
			"fetch-flow"
		]
	},
	"create-project": {
		"method": "POST",
		"URL": "http://localhost:8080/manager?action=create",
		"headers": "Cookie: azkaban.browser.session.id=#{session.id}",
 		"data": "name=project${1-25}&description=${1-25}",
		"linksReferences": [
			"*view-project"
		]
	},
	"search": {
		"method": "GET",
		"URL": "http://localhost:8080/index?doaction=search&searchterm=project${1-25}",
		"headers": "Cookie: azkaban.browser.session.id=#{session.id}",
		"linksReferences": [
			"*index"
		]
	},
	"logout": {
		"method": "GET",
		"URL": "http://localhost:8080/index?logout",
		"headers": "Cookie: azkaban.browser.session.id=#{session.id}",
		"linksReferences": [
			"login"
		]
	},
	"schedule": {
		"method": "GET",
		"URL": "http://localhost:8080/schedule",
		"headers": "Cookie: azkaban.browser.session.id=#{session.id}",
		"linksReferences": [
			"**navbar"
		]
	},
	"executor": {
		"method": "GET",
		"URL": "http://localhost:8080/executor",
		"headers": "Cookie: azkaban.browser.session.id=#{session.id}",
		"linksReferences": [
			"**navbar"
		]
	},
	"history": {
		"method": "GET",
		"URL": "http://localhost:8080/history?page=${1-25}&size=${1-25}",
		"headers": "Cookie: azkaban.browser.session.id=#{session.id}",
		"linksReferences": [
			"**navbar"
		]
	},
	"flowtrigger": {
		"method": "GET",
		"URL": "http://localhost:8080/flowtrigger",
		"headers": "Cookie: azkaban.browser.session.id=#{session.id}",
		"linksReferences": [
			"**navbar"
		]
	},
	"execute-flow": {
		"method": "GET",
		"URL": "http://localhost:8080/executor?ajax=executeFlow&project=project${1-25}&flow=basic",
		"headers": "Cookie: azkaban.browser.session.id=#{session.id}",
		"linksReferences": [
			"*view-project"
		]
	},
	"fetch-flow": {
		"method": "GET",
		"URL": "http://localhost:8080/manager?ajax=fetchprojectflows&project=project${1-25}",
		"headers": "Cookie: azkaban.browser.session.id=#{session.id}",
		"linksReferences": [
			"*view-project"
		]
	},
	"delete-project": {
		"method": "GET",
		"URL": "http://localhost:8080/manager?project=project${1-25}&delete=true",
		"headers": "Cookie: azkaban.browser.session.id=#{session.id}",
		"linksReferences": [
			"*index"
		]
	},
	"upload-project": {
		"method": "POST",
		"URL": "http://localhost:8080/manager",
		"headers": "Cookie: azkaban.browser.session.id=#{session.id}; Content-Type: multipart/mixed;boundary=---WebKitFormBoundary7MA4YWxkTrZu0gW",
		"forms": "ajax=upload&file=<embedded|basic>Flow20Project.zip&project=project${1-25}",
		"linksReferences": [
			"*view-project"
		]
	},
	"download-project": {
		"method": "GET",
		"URL": "http://localhost:8080/manager?project=project${1-25}&download=true",
		"headers": "Cookie: azkaban.browser.session.id=#{session.id}",
		"linksReferences": [
			"*view-project"
		]
	},
	"view-permissions": {
		"method": "GET",
		"URL": "http://localhost:8080/manager?project=project${1-25}&permissions",
		"headers": "Cookie: azkaban.browser.session.id=#{session.id}",
		"linksReferences": [
			"*view-project",
			"add-permission"
		]
	},
	"add-permission": {
		"method": "GET",
		"URL": "http://localhost:8080/manager?project=project${1-25}&name=${1-25}&ajax=addPermission&permissions%5Badmin%5D=<true|false>&permissions%5Bread%5D=<true|false>&permissions%5Bwrite%5D=<true|false>&permissions%5Bexecute%5D=<true|false>&permissions%5Bschedule%5D=<true|false>&group=<true|false>",
		"headers": "Cookie: azkaban.browser.session.id=#{session.id}",
		"linksReferences": [
			"*view-permissions"
		]
	},
	"view-logs": {
		"method": "GET",
		"URL": "http://localhost:8080/manager?project=project${1-25}&logs",
		"headers": "Cookie: azkaban.browser.session.id=#{session.id}",
		"linksReferences": [
			"*view-project"
		]
	}
}